Bug 73999 - Gnumeric complains about missing fonts at startup
Gnumeric complains about missing fonts at startup
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gnumeric (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 13:20 EDT by Petri T. Koistinen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-01 11:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2002-09-13 13:20:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-12.5 i686; Nav)

Description of problem:
[petri@dsl-hkigw4l83 tmp]$ gnumeric some-file.xls 
The font "-*-nimbus sans-regular-r-normal-*-12-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "fi_FI@euro"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-nimbus sans-regular-i-normal-*-12-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "fi_FI@euro"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
some-file.xls
Excel 97 +
The font "-*-times-bold-r-normal-*-16-*-*-*-*-*-*-*" does not support all the
required character sets for the current locale "fi_FI@euro"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-times-medium-r-normal-*-16-*-*-*-*-*-*-*" does not support all the
required character sets for the current locale "fi_FI@euro"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
[petri@dsl-hkigw4l83 tmp]$ locale
LANG=fi_FI@euro
LC_CTYPE="fi_FI@euro"
LC_NUMERIC="fi_FI@euro"
LC_TIME="fi_FI@euro"
LC_COLLATE="fi_FI@euro"
LC_MONETARY="fi_FI@euro"
LC_MESSAGES="fi_FI@euro"
LC_PAPER="fi_FI@euro"
LC_NAME="fi_FI@euro"
LC_ADDRESS="fi_FI@euro"
LC_TELEPHONE="fi_FI@euro"
LC_MEASUREMENT="fi_FI@euro"
LC_IDENTIFICATION="fi_FI@euro"
LC_ALL=
[petri@dsl-hkigw4l83 tmp]$ rpm -qa | grep XFree | sort
XFree86-base-fonts-4.2.0-67.6
XFree86-devel-4.2.0-67.6
XFree86-font-utils-4.2.0-67.6
XFree86-ISO8859-15-75dpi-fonts-4.2.0-67.6
XFree86-libs-4.2.0-67.6
XFree86-Mesa-libGLU-4.2.0-67.6
XFree86-Mesa-libGL-4.2.0-67.6
XFree86-tools-4.2.0-67.6
XFree86-truetype-fonts-4.2.0-67.6
XFree86-xauth-4.2.0-67.6
XFree86-xdm-4.2.0-67.6
XFree86-xfs-4.2.0-67.6
XFree86-100dpi-fonts-4.2.0-67.6
XFree86-4.2.0-67.6
XFree86-75dpi-fonts-4.2.0-67.6
[petri@dsl-hkigw4l83 tmp]$ 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run gnumeric

Expected Results:  No complaining about missing character set.

Additional info:
Comment 1 Havoc Pennington 2002-10-01 11:42:35 EDT
The error messages there are accurate, those fonts don't support 
ISO-8859-15 (no euro symbol). I'm not sure there's a lot we can do about it,
other than become fontographers... does Gnumeric still start up and use some
fallback font?

Comment 2 Petri T. Koistinen 2002-10-01 11:55:05 EDT
Yes, it will start and it uses fallback font.
Comment 3 Havoc Pennington 2002-10-01 12:07:03 EDT
Yeah, this is quite hard to fix, and only cosmetic. It will naturally go away
when we move to the GTK2-based Gnumeric with the new sane font setup.

Thanks
Comment 4 Petri T. Koistinen 2002-10-01 12:14:56 EDT
Would you call it cosmetic problem if dollar sign would be missing? ;-)
Ok, I'll wait, I don't have that much euros anyway. ;-)

Note You need to log in before you can comment on or make changes to this bug.